# Map

The 'Map' component is used to display a location on a map within an interface.

## Properties

| Property                 | Value Sample      | Value Type | Description                                                       |
| ------------------------ | ----------------- | ---------- | ----------------------------------------------------------------- |
| Name                     | map1, map2        | string     | Specifies the name or identifier of the map component.            |
| Lat, Long                | 1.35531,103.86776 | string     | Specifies the latitude and longitude coordinates of the location. |
| Zoom                     | 10                | number     | Specifies the initial zoom level of the map.                      |
| Title                    | Orangekloud       | string     | Specifies the title or label for the map location.                |
| Show Zoom Control        | True, False       | boolean    | If set to true, shows the zoom control on the map.                |
| Show Map Type Control    | True, False       | boolean    | If set to true, shows the map type control on the map.            |
| Show Street View Control | True, False       | boolean    | If set to true, shows the street view control on the map.         |
| Show Full Screen Control | True, False       | boolean    | If set to true, shows the full screen control on the map.         |
| Show Route Markers       | True, False       | boolean    | If set to true, shows markers for the route on the map.           |

## Related Actions

* [mapSetCenter](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapSetCenter/README.md) - Sets the center of the map to the specified latitude and longitude coordinates.
* [mapSetZoom](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapSetZoom/README.md) - Sets the zoom level of the map to the specified value.
* [MapFitBounds](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_MapFitBounds/README.md) - Fits the map to contain the specified bounds.
* [mapAddMarker](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapAddMarker/README.md) - Adds a marker to the map at the specified latitude and longitude coordinates.
* [mapDeleteMarker](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapDeleteMarker/README.md) - Deletes the marker with the specified ID from the map.
* [mapClearMarker](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapClearMarker/README.md) - Removes all markers from the map.
* [mapRoute](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapRoute/README.md) - Calculates and displays a route on the map from the starting coordinates to the ending coordinates.
* [mapSetClickListener](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapSetClickListener/README.md) - Sets a callback function to be executed when the user clicks on the map.
* [mapGetZoom](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_mapGetZoom/README.md) - Retrieves the current zoom level of the map.
* [intentMaps](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/map/link_to_intentMaps/README.md) - Opens the default maps application with a marker at the specified latitude and longitude coordinates and the given title.

## Example Uses

N/A


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/004-ui-components/general/map.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
